God, if i want to chattr /scripts/wwwacct thats none of Cpanels business!!!!!!!!!!!!

mr.wonderful

BANNED
Feb 1, 2004
345
1
166
I made a modification to /scripts/wwwacct and when i ran /scripts/upcp i received this dumb msg.

Support for cPanel is void due to unsupported modifcations (/scripts/wwwacct) (chattr +i)

Big deal. Dont try to control what i modify please! This is ridiculous! If i want to chattr +i anything on my own server i think i should be able to do that without being told about it. How rude is this? :rolleyes: I pay good money for Cpanel and if i want to modify something thats my business not yours!!!!
 
Last edited:

Marty

Well-Known Member
Oct 10, 2001
630
1
318
If you purchase software and modify it, you also should not expect the company you purchase it from to provide you support.

Now, you might not like how they chose to inform you of what is a pretty standard policy with most software packages, but that is a different issue.
 

mr.wonderful

BANNED
Feb 1, 2004
345
1
166
Originally posted by Marty
If you purchase software and modify it, you also should not expect the company you purchase it from to provide you support.

Now, you might not like how they chose to inform you of what is a pretty standard policy with most software packages, but that is a different issue.
I modified one line in wwacct the line that sets the default email to $user to what i want. Thats no reason to send rude messages like this. Im sure there are many others who have made their own modifications and dont want those changed due to Cpanel updates. There is no reason to send rude msg to me. Thats none of anyone business what i do on my box whether i choose to chattr scripts or not! :mad:
 
Last edited:

mr.wonderful

BANNED
Feb 1, 2004
345
1
166
Originally posted by squirrel
Problem is, some updates require changes to that file. That's why I wrote my first WHM script, watchwwwacct, about a year ago. It works great and there are many people using it.

It'll be at www.premierwebsitesolutions.com/scripts/ by the weekend.
Well if thats true when i run /scripts/updatenow it will tell me that file is not writeable. Then it will be my choice to chattr -i /scripts/wwwacct when im ready to do so. I dont need anyone to tell me what i need to do. I know exactly what need to be done. I have 67 servers with 99.999 uptime and i know exactly what needs to be done. This is insane!
 

cPanelNick

Administrator
Staff member
Mar 9, 2015
3,488
35
158
cPanel Access Level
DataCenter Provider
This message pretty much boils down to, if you make a change to one of the scripts that blows up your server, we aren't going to help you fix it.
Other then that you have nothing to worry about and should just ignore the message.